package com.ruoyi.dhc.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 黑电协议基础数据（特性）对象 cfg_char_config
 * 
 * @author ruoyi
 * @date 2025-03-10
 */
@ApiModel(value = "CfgCharConfig", description = "黑电协议基础数据（特性）")
public class CfgCharConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 特性ID */
    private Long charId;

    /** 特性组ID */
    @ApiModelProperty("特性组ID")
    @Excel(name = "特性组ID")
    private Long chargrpId;

    /** 状态：1 待发布；2 启用；3 停用 */
    @ApiModelProperty("状态：1 待发布；2 启用；3 停用")
    @Excel(name = "状态：1 待发布；2 启用；3 停用")
    private Long STATUS;

    /** 特性代码 */
    @ApiModelProperty("特性代码")
    @Excel(name = "特性代码")
    private String charCode;

    /** 特性名称 */
    @ApiModelProperty("特性名称")
    @Excel(name = "特性名称")
    private String charName;

    /** 特性更改号(对应更改号ID) */
    @ApiModelProperty("特性更改号(对应更改号ID)")
    @Excel(name = "特性更改号(对应更改号ID)")
    private Long charEcoCodeId;

    /** 特性显示顺序 */
    @ApiModelProperty("特性显示顺序")
    @Excel(name = "特性显示顺序")
    private Long charPos;

    /** 约束解析顺序 */
    @ApiModelProperty("约束解析顺序")
    @Excel(name = "约束解析顺序")
    private Long constPos;

    /** 显示方式：单选、多选 */
    @ApiModelProperty("显示方式：单选、多选")
    @Excel(name = "显示方式：单选、多选")
    private String showWay;

    /** 显示方式编码 */
    @ApiModelProperty("显示方式编码")
    @Excel(name = "显示方式编码")
    private String showWayCode;

    /** 必输标记 */
    @ApiModelProperty("必输标记")
    @Excel(name = "必输标记")
    private String BENECESSARY;

    /** 创建人 */
    @ApiModelProperty("创建人")
    @Excel(name = "创建人")
    private Long createByEmployee;

    /** 创建日期时间 */
    @ApiModelProperty("创建日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creattionDate;

    /** 最后修改人 */
    @ApiModelProperty("最后修改人")
    @Excel(name = "最后修改人")
    private Long lastUpdateByEmployee;

    /** 最后修改日期时间 */
    @ApiModelProperty("最后修改日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最后修改日期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateDate;

    /** 企业注册号 */
    @ApiModelProperty("企业注册号")
    @Excel(name = "企业注册号")
    private Long registerId;

    /** 有效标记 */
    @ApiModelProperty("有效标记")
    @Excel(name = "有效标记")
    private String enableFlag;

    public void setCharId(Long charId) 
    {
        this.charId = charId;
    }

    public Long getCharId() 
    {
        return charId;
    }
    public void setChargrpId(Long chargrpId) 
    {
        this.chargrpId = chargrpId;
    }

    public Long getChargrpId() 
    {
        return chargrpId;
    }
    public void setSTATUS(Long STATUS) 
    {
        this.STATUS = STATUS;
    }

    public Long getSTATUS() 
    {
        return STATUS;
    }
    public void setCharCode(String charCode) 
    {
        this.charCode = charCode;
    }

    public String getCharCode() 
    {
        return charCode;
    }
    public void setCharName(String charName) 
    {
        this.charName = charName;
    }

    public String getCharName() 
    {
        return charName;
    }
    public void setCharEcoCodeId(Long charEcoCodeId) 
    {
        this.charEcoCodeId = charEcoCodeId;
    }

    public Long getCharEcoCodeId() 
    {
        return charEcoCodeId;
    }
    public void setCharPos(Long charPos) 
    {
        this.charPos = charPos;
    }

    public Long getCharPos() 
    {
        return charPos;
    }
    public void setConstPos(Long constPos) 
    {
        this.constPos = constPos;
    }

    public Long getConstPos() 
    {
        return constPos;
    }
    public void setShowWay(String showWay) 
    {
        this.showWay = showWay;
    }

    public String getShowWay() 
    {
        return showWay;
    }
    public void setShowWayCode(String showWayCode) 
    {
        this.showWayCode = showWayCode;
    }

    public String getShowWayCode() 
    {
        return showWayCode;
    }
    public void setBENECESSARY(String BENECESSARY) 
    {
        this.BENECESSARY = BENECESSARY;
    }

    public String getBENECESSARY() 
    {
        return BENECESSARY;
    }
    public void setCreateByEmployee(Long createByEmployee) 
    {
        this.createByEmployee = createByEmployee;
    }

    public Long getCreateByEmployee() 
    {
        return createByEmployee;
    }
    public void setCreattionDate(Date creattionDate) 
    {
        this.creattionDate = creattionDate;
    }

    public Date getCreattionDate() 
    {
        return creattionDate;
    }
    public void setLastUpdateByEmployee(Long lastUpdateByEmployee) 
    {
        this.lastUpdateByEmployee = lastUpdateByEmployee;
    }

    public Long getLastUpdateByEmployee() 
    {
        return lastUpdateByEmployee;
    }
    public void setLastUpdateDate(Date lastUpdateDate) 
    {
        this.lastUpdateDate = lastUpdateDate;
    }

    public Date getLastUpdateDate() 
    {
        return lastUpdateDate;
    }
    public void setRegisterId(Long registerId) 
    {
        this.registerId = registerId;
    }

    public Long getRegisterId() 
    {
        return registerId;
    }
    public void setEnableFlag(String enableFlag) 
    {
        this.enableFlag = enableFlag;
    }

    public String getEnableFlag() 
    {
        return enableFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("charId", getCharId())
            .append("chargrpId", getChargrpId())
            .append("STATUS", getSTATUS())
            .append("charCode", getCharCode())
            .append("charName", getCharName())
            .append("charEcoCodeId", getCharEcoCodeId())
            .append("charPos", getCharPos())
            .append("constPos", getConstPos())
            .append("showWay", getShowWay())
            .append("showWayCode", getShowWayCode())
            .append("BENECESSARY", getBENECESSARY())
            .append("createByEmployee", getCreateByEmployee())
            .append("creattionDate", getCreattionDate())
            .append("lastUpdateByEmployee", getLastUpdateByEmployee())
            .append("lastUpdateDate", getLastUpdateDate())
            .append("registerId", getRegisterId())
            .append("enableFlag", getEnableFlag())
            .toString();
    }
}
