package com.ruoyi.dhc.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 黑电协议基础数据（特性值）对象 cfg_charval_config
 * 
 * @author ruoyi
 * @date 2025-03-10
 */
@ApiModel(value = "CfgCharvalConfig", description = "黑电协议基础数据（特性值）")
public class CfgCharvalConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 特性值ID */
    @ApiModelProperty("特性值ID")
    @Excel(name = "特性值ID")
    private Long charvalId;

    /** 特性ID */
    @ApiModelProperty("特性ID")
    @Excel(name = "特性ID")
    private Long charId;

    /** 特性值代码 */
    @ApiModelProperty("特性值代码")
    @Excel(name = "特性值代码")
    private String charvalCode;

    /** 特性值显示顺序 */
    @ApiModelProperty("特性值显示顺序")
    @Excel(name = "特性值显示顺序")
    private BigDecimal charValPos;

    /** 特性值销售描述 */
    @ApiModelProperty("特性值销售描述")
    @Excel(name = "特性值销售描述")
    private String salesDesc;

    /** 特性值技术描述 */
    @ApiModelProperty("特性值技术描述")
    @Excel(name = "特性值技术描述")
    private String techDesc;

    /** 默认标记 */
    @ApiModelProperty("默认标记")
    @Excel(name = "默认标记")
    private String defaultFlag;

    /** 创建人 */
    @ApiModelProperty("创建人")
    @Excel(name = "创建人")
    private Long createByEmployee;

    /** 创建日期时间 */
    @ApiModelProperty("创建日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creattionDate;

    /** 最后修改人 */
    @ApiModelProperty("最后修改人")
    @Excel(name = "最后修改人")
    private Long lastUpdateByEmployee;

    /** 最后修改日期时间 */
    @ApiModelProperty("最后修改日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最后修改日期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateDate;

    /** 企业注册号 */
    @ApiModelProperty("企业注册号")
    @Excel(name = "企业注册号")
    private Long registerId;

    /** 有效标记 */
    @ApiModelProperty("有效标记")
    @Excel(name = "有效标记")
    private String enableFlag;

    public void setCharvalId(Long charvalId) 
    {
        this.charvalId = charvalId;
    }

    public Long getCharvalId() 
    {
        return charvalId;
    }
    public void setCharId(Long charId) 
    {
        this.charId = charId;
    }

    public Long getCharId() 
    {
        return charId;
    }
    public void setCharvalCode(String charvalCode) 
    {
        this.charvalCode = charvalCode;
    }

    public String getCharvalCode() 
    {
        return charvalCode;
    }
    public void setCharValPos(BigDecimal charValPos) 
    {
        this.charValPos = charValPos;
    }

    public BigDecimal getCharValPos() 
    {
        return charValPos;
    }
    public void setSalesDesc(String salesDesc) 
    {
        this.salesDesc = salesDesc;
    }

    public String getSalesDesc() 
    {
        return salesDesc;
    }
    public void setTechDesc(String techDesc) 
    {
        this.techDesc = techDesc;
    }

    public String getTechDesc() 
    {
        return techDesc;
    }
    public void setDefaultFlag(String defaultFlag) 
    {
        this.defaultFlag = defaultFlag;
    }

    public String getDefaultFlag() 
    {
        return defaultFlag;
    }
    public void setCreateByEmployee(Long createByEmployee) 
    {
        this.createByEmployee = createByEmployee;
    }

    public Long getCreateByEmployee() 
    {
        return createByEmployee;
    }
    public void setCreattionDate(Date creattionDate) 
    {
        this.creattionDate = creattionDate;
    }

    public Date getCreattionDate() 
    {
        return creattionDate;
    }
    public void setLastUpdateByEmployee(Long lastUpdateByEmployee) 
    {
        this.lastUpdateByEmployee = lastUpdateByEmployee;
    }

    public Long getLastUpdateByEmployee() 
    {
        return lastUpdateByEmployee;
    }
    public void setLastUpdateDate(Date lastUpdateDate) 
    {
        this.lastUpdateDate = lastUpdateDate;
    }

    public Date getLastUpdateDate() 
    {
        return lastUpdateDate;
    }
    public void setRegisterId(Long registerId) 
    {
        this.registerId = registerId;
    }

    public Long getRegisterId() 
    {
        return registerId;
    }
    public void setEnableFlag(String enableFlag) 
    {
        this.enableFlag = enableFlag;
    }

    public String getEnableFlag() 
    {
        return enableFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("charvalId", getCharvalId())
            .append("charId", getCharId())
            .append("charvalCode", getCharvalCode())
            .append("charValPos", getCharValPos())
            .append("salesDesc", getSalesDesc())
            .append("techDesc", getTechDesc())
            .append("defaultFlag", getDefaultFlag())
            .append("createByEmployee", getCreateByEmployee())
            .append("creattionDate", getCreattionDate())
            .append("lastUpdateByEmployee", getLastUpdateByEmployee())
            .append("lastUpdateDate", getLastUpdateDate())
            .append("registerId", getRegisterId())
            .append("enableFlag", getEnableFlag())
            .toString();
    }
}
