package com.ruoyi.dhc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.mapper.CfgCharConfigMapper;
import com.ruoyi.dhc.domain.CfgCharConfig;
import com.ruoyi.dhc.service.ICfgCharConfigService;

/**
 * 黑电协议基础数据（特性）Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-10
 */
@Service
public class CfgCharConfigServiceImpl implements ICfgCharConfigService 
{
    @Autowired
    private CfgCharConfigMapper cfgCharConfigMapper;

    /**
     * 查询黑电协议基础数据（特性）
     * 
     * @param charId 黑电协议基础数据（特性）主键
     * @return 黑电协议基础数据（特性）
     */
    @Override
    public CfgCharConfig selectCfgCharConfigByCharId(Long charId)
    {
        return cfgCharConfigMapper.selectCfgCharConfigByCharId(charId);
    }

    /**
     * 查询黑电协议基础数据（特性）列表
     * 
     * @param cfgCharConfig 黑电协议基础数据（特性）
     * @return 黑电协议基础数据（特性）
     */
    @Override
    public List<CfgCharConfig> selectCfgCharConfigList(CfgCharConfig cfgCharConfig)
    {
        return cfgCharConfigMapper.selectCfgCharConfigList(cfgCharConfig);
    }

    /**
     * 新增黑电协议基础数据（特性）
     * 
     * @param cfgCharConfig 黑电协议基础数据（特性）
     * @return 结果
     */
    @Override
    public int insertCfgCharConfig(CfgCharConfig cfgCharConfig)
    {
        return cfgCharConfigMapper.insertCfgCharConfig(cfgCharConfig);
    }

    /**
     * 修改黑电协议基础数据（特性）
     * 
     * @param cfgCharConfig 黑电协议基础数据（特性）
     * @return 结果
     */
    @Override
    public int updateCfgCharConfig(CfgCharConfig cfgCharConfig)
    {
        return cfgCharConfigMapper.updateCfgCharConfig(cfgCharConfig);
    }

    /**
     * 批量删除黑电协议基础数据（特性）
     * 
     * @param charIds 需要删除的黑电协议基础数据（特性）主键
     * @return 结果
     */
    @Override
    public int deleteCfgCharConfigByCharIds(Long[] charIds)
    {
        return cfgCharConfigMapper.deleteCfgCharConfigByCharIds(charIds);
    }

    /**
     * 删除黑电协议基础数据（特性）信息
     * 
     * @param charId 黑电协议基础数据（特性）主键
     * @return 结果
     */
    @Override
    public int deleteCfgCharConfigByCharId(Long charId)
    {
        return cfgCharConfigMapper.deleteCfgCharConfigByCharId(charId);
    }
}
