package com.ruoyi.dhc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dhc.mapper.CfgCharvalConfigMapper;
import com.ruoyi.dhc.domain.CfgCharvalConfig;
import com.ruoyi.dhc.service.ICfgCharvalConfigService;

/**
 * 黑电协议基础数据（特性值）Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-10
 */
@Service
public class CfgCharvalConfigServiceImpl implements ICfgCharvalConfigService 
{
    @Autowired
    private CfgCharvalConfigMapper cfgCharvalConfigMapper;

    /**
     * 查询黑电协议基础数据（特性值）
     * 
     * @param charvalId 黑电协议基础数据（特性值）主键
     * @return 黑电协议基础数据（特性值）
     */
    @Override
    public CfgCharvalConfig selectCfgCharvalConfigByCharvalId(Long charvalId)
    {
        return cfgCharvalConfigMapper.selectCfgCharvalConfigByCharvalId(charvalId);
    }

    /**
     * 查询黑电协议基础数据（特性值）列表
     * 
     * @param cfgCharvalConfig 黑电协议基础数据（特性值）
     * @return 黑电协议基础数据（特性值）
     */
    @Override
    public List<CfgCharvalConfig> selectCfgCharvalConfigList(CfgCharvalConfig cfgCharvalConfig)
    {
        return cfgCharvalConfigMapper.selectCfgCharvalConfigList(cfgCharvalConfig);
    }

    /**
     * 新增黑电协议基础数据（特性值）
     * 
     * @param cfgCharvalConfig 黑电协议基础数据（特性值）
     * @return 结果
     */
    @Override
    public int insertCfgCharvalConfig(CfgCharvalConfig cfgCharvalConfig)
    {
        return cfgCharvalConfigMapper.insertCfgCharvalConfig(cfgCharvalConfig);
    }

    /**
     * 修改黑电协议基础数据（特性值）
     * 
     * @param cfgCharvalConfig 黑电协议基础数据（特性值）
     * @return 结果
     */
    @Override
    public int updateCfgCharvalConfig(CfgCharvalConfig cfgCharvalConfig)
    {
        return cfgCharvalConfigMapper.updateCfgCharvalConfig(cfgCharvalConfig);
    }

    /**
     * 批量删除黑电协议基础数据（特性值）
     * 
     * @param charvalIds 需要删除的黑电协议基础数据（特性值）主键
     * @return 结果
     */
    @Override
    public int deleteCfgCharvalConfigByCharvalIds(Long[] charvalIds)
    {
        return cfgCharvalConfigMapper.deleteCfgCharvalConfigByCharvalIds(charvalIds);
    }

    /**
     * 删除黑电协议基础数据（特性值）信息
     * 
     * @param charvalId 黑电协议基础数据（特性值）主键
     * @return 结果
     */
    @Override
    public int deleteCfgCharvalConfigByCharvalId(Long charvalId)
    {
        return cfgCharvalConfigMapper.deleteCfgCharvalConfigByCharvalId(charvalId);
    }
}
