package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 区域国家对象 dhc_area_country
 * 
 * @author ruoyi
 * @date 2025-03-13
 */
@ApiModel(value = "DhcAreaCountry", description = "区域国家")
public class DhcAreaCountry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 国家id */
    private Long countryId;

    /** 国家编码 */
    @ApiModelProperty("国家编码")
    @Excel(name = "国家编码")
    private String countryCode;

    /** 国家名称 */
    @ApiModelProperty("国家名称")
    @Excel(name = "国家名称")
    private String countryName;

    /** 产品线CODE */
    @ApiModelProperty("产品线CODE")
    @Excel(name = "产品线CODE")
    private String productLineCode;

    /** 销售大区id */
    @ApiModelProperty("销售大区id")
    @Excel(name = "销售大区id")
    private Long areaIdLarge;

    /** 销售大区名称 */
    @ApiModelProperty("销售大区名称")
    @Excel(name = "销售大区名称")
    private String areaNameLarge;

    /** 销售小区id */
    @ApiModelProperty("销售小区id")
    @Excel(name = "销售小区id")
    private Long areaIdSmall;

    /** 销售小区名称 */
    @ApiModelProperty("销售小区名称")
    @Excel(name = "销售小区名称")
    private String areaNameSmall;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setCountryId(Long countryId) 
    {
        this.countryId = countryId;
    }

    public Long getCountryId() 
    {
        return countryId;
    }
    public void setCountryCode(String countryCode) 
    {
        this.countryCode = countryCode;
    }

    public String getCountryCode() 
    {
        return countryCode;
    }
    public void setCountryName(String countryName) 
    {
        this.countryName = countryName;
    }

    public String getCountryName() 
    {
        return countryName;
    }
    public void setProductLineCode(String productLineCode) 
    {
        this.productLineCode = productLineCode;
    }

    public String getProductLineCode() 
    {
        return productLineCode;
    }
    public void setAreaIdLarge(Long areaIdLarge) 
    {
        this.areaIdLarge = areaIdLarge;
    }

    public Long getAreaIdLarge() 
    {
        return areaIdLarge;
    }
    public void setAreaNameLarge(String areaNameLarge) 
    {
        this.areaNameLarge = areaNameLarge;
    }

    public String getAreaNameLarge() 
    {
        return areaNameLarge;
    }
    public void setAreaIdSmall(Long areaIdSmall) 
    {
        this.areaIdSmall = areaIdSmall;
    }

    public Long getAreaIdSmall() 
    {
        return areaIdSmall;
    }
    public void setAreaNameSmall(String areaNameSmall) 
    {
        this.areaNameSmall = areaNameSmall;
    }

    public String getAreaNameSmall() 
    {
        return areaNameSmall;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("countryId", getCountryId())
            .append("countryCode", getCountryCode())
            .append("countryName", getCountryName())
            .append("productLineCode", getProductLineCode())
            .append("areaIdLarge", getAreaIdLarge())
            .append("areaNameLarge", getAreaNameLarge())
            .append("areaIdSmall", getAreaIdSmall())
            .append("areaNameSmall", getAreaNameSmall())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
