package com.ruoyi.dhc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 国家对象 dhc_country
 *
 * @author ruoyi
 * @date 2025-03-12
 */
@ApiModel(value = "DhcCountry", description = "国家")
public class DhcCountry extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 国家id
     */
    private Long countryId;

    /**
     * 国家编码
     */
    @ApiModelProperty("国家编码")
    @Excel(name = "国家编码")
    private String countryCode;

    /**
     * 国家名称
     */
    @ApiModelProperty("国家名称")
    @Excel(name = "国家名称")
    private String countryName;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    private String delFlag;

    /**
     * 国家编码三位字母
     */
    @ApiModelProperty("国家编码三位字母")
    @Excel(name = "国家编码三位字母")
    private String countryCodeThree;

    /**
     * 国家英文名字
     */
    @ApiModelProperty("国家英文名字")
    @Excel(name = "国家英文名字")
    private String countryNameEnglish;

    /**
     * 数字代码
     */
    @ApiModelProperty("数字代码")
    @Excel(name = "数字代码")
    private String numberCode;

    public void setCountryId(Long countryId) {
        this.countryId = countryId;
    }

    public Long getCountryId() {
        return countryId;
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public String getCountryCode() {
        return countryCode;
    }

    public void setCountryName(String countryName) {
        this.countryName = countryName;
    }

    public String getCountryName() {
        return countryName;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setCountryCodeThree(String countryCodeThree) {
        this.countryCodeThree = countryCodeThree;
    }

    public String getCountryCodeThree() {
        return countryCodeThree;
    }

    public void setCountryNameEnglish(String countryNameEnglish) {
        this.countryNameEnglish = countryNameEnglish;
    }

    public String getCountryNameEnglish() {
        return countryNameEnglish;
    }

    public void setNumberCode(String numberCode) {
        this.numberCode = numberCode;
    }

    public String getNumberCode() {
        return numberCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("countryId", getCountryId())
                .append("countryCode", getCountryCode())
                .append("countryName", getCountryName())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("countryCodeThree", getCountryCodeThree())
                .append("countryNameEnglish", getCountryNameEnglish())
                .append("numberCode", getNumberCode())
                .toString();
    }
}
