package com.ruoyi.dhc.mapper;

import java.util.List;
import com.ruoyi.dhc.domain.DhcAreaCountry;

/**
 * 区域国家Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-13
 */
public interface DhcAreaCountryMapper 
{
    /**
     * 查询区域国家
     * 
     * @param countryId 区域国家主键
     * @return 区域国家
     */
    public DhcAreaCountry selectDhcAreaCountryByCountryId(Long countryId);

    /**
     * 查询区域国家列表
     * 
     * @param dhcAreaCountry 区域国家
     * @return 区域国家集合
     */
    public List<DhcAreaCountry> selectDhcAreaCountryList(DhcAreaCountry dhcAreaCountry);

    /**
     * 新增区域国家
     * 
     * @param dhcAreaCountry 区域国家
     * @return 结果
     */
    public int insertDhcAreaCountry(DhcAreaCountry dhcAreaCountry);

    /**
     * 修改区域国家
     * 
     * @param dhcAreaCountry 区域国家
     * @return 结果
     */
    public int updateDhcAreaCountry(DhcAreaCountry dhcAreaCountry);

    /**
     * 删除区域国家
     * 
     * @param countryId 区域国家主键
     * @return 结果
     */
    public int deleteDhcAreaCountryByCountryId(Long countryId);

    /**
     * 批量删除区域国家
     * 
     * @param countryIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDhcAreaCountryByCountryIds(Long[] countryIds);
}
